add_subdirectory( simulation )
add_subdirectory( components )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_SOURCE_DIR}/src/electronics/components
  ${CMAKE_SOURCE_DIR}/src/electronics/simulation
  ${CMAKE_SOURCE_DIR}/src/gui
  ${CMAKE_SOURCE_DIR}/src/languages
  ${CMAKE_SOURCE_DIR}/src/micro
  ${GLIB_INCLUDE_DIRS}
  ${GPSIM_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### electronics (static)


tde_add_library( electronics STATIC_PIC AUTOMOC

  SOURCES
        component.cpp subcircuits.cpp gpsimprocessor.cpp
        switch.cpp pin.cpp wire.cpp ecnode.cpp port.cpp
  LINK
     components-static
)
